#include <bits/stdc++.h>

using namespace std;

int main() 
{
  ios::sync_with_stdio(0);
  cin.tie(0);
  long long n,x,p,z,b,d,i,r;
  cin>>n>>x;
  long long a[n+1];
  for(i=0;i<n;i++)
  {
    cin>>a[i];
  }
  a[n]=x;
  sort(a,a+n+1);
  p=a[0];
  z=a[n];
  if(abs(x-p)>abs(x-z))
  {
    d=p;
    b=z;
  }
  else
  {
    b=p;
    d=z;
  }
  r=abs(x-b)*2+abs(x-d);
  cout<<r;
}